// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package pb

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion7

// HostManagerClient is the client API for HostManager service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type HostManagerClient interface {
	//    Host
	GetAllHosts(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*HostInfoList, error)
	AddOrUpdateHost(ctx context.Context, in *HostInfo, opts ...grpc.CallOption) (*OperationResponse, error)
	DelHost(ctx context.Context, in *HostInfo, opts ...grpc.CallOption) (*OperationResponse, error)
}

type hostManagerClient struct {
	cc grpc.ClientConnInterface
}

func NewHostManagerClient(cc grpc.ClientConnInterface) HostManagerClient {
	return &hostManagerClient{cc}
}

func (c *hostManagerClient) GetAllHosts(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*HostInfoList, error) {
	out := new(HostInfoList)
	err := c.cc.Invoke(ctx, "/pb.HostManager/GetAllHosts", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *hostManagerClient) AddOrUpdateHost(ctx context.Context, in *HostInfo, opts ...grpc.CallOption) (*OperationResponse, error) {
	out := new(OperationResponse)
	err := c.cc.Invoke(ctx, "/pb.HostManager/AddOrUpdateHost", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *hostManagerClient) DelHost(ctx context.Context, in *HostInfo, opts ...grpc.CallOption) (*OperationResponse, error) {
	out := new(OperationResponse)
	err := c.cc.Invoke(ctx, "/pb.HostManager/DelHost", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// HostManagerServer is the server API for HostManager service.
// All implementations must embed UnimplementedHostManagerServer
// for forward compatibility
type HostManagerServer interface {
	//    Host
	GetAllHosts(context.Context, *Empty) (*HostInfoList, error)
	AddOrUpdateHost(context.Context, *HostInfo) (*OperationResponse, error)
	DelHost(context.Context, *HostInfo) (*OperationResponse, error)
	mustEmbedUnimplementedHostManagerServer()
}

// UnimplementedHostManagerServer must be embedded to have forward compatible implementations.
type UnimplementedHostManagerServer struct {
}

func (UnimplementedHostManagerServer) GetAllHosts(context.Context, *Empty) (*HostInfoList, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllHosts not implemented")
}
func (UnimplementedHostManagerServer) AddOrUpdateHost(context.Context, *HostInfo) (*OperationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddOrUpdateHost not implemented")
}
func (UnimplementedHostManagerServer) DelHost(context.Context, *HostInfo) (*OperationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DelHost not implemented")
}
func (UnimplementedHostManagerServer) mustEmbedUnimplementedHostManagerServer() {}

// UnsafeHostManagerServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to HostManagerServer will
// result in compilation errors.
type UnsafeHostManagerServer interface {
	mustEmbedUnimplementedHostManagerServer()
}

func RegisterHostManagerServer(s grpc.ServiceRegistrar, srv HostManagerServer) {
	s.RegisterService(&_HostManager_serviceDesc, srv)
}

func _HostManager_GetAllHosts_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(HostManagerServer).GetAllHosts(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.HostManager/GetAllHosts",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(HostManagerServer).GetAllHosts(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _HostManager_AddOrUpdateHost_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HostInfo)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(HostManagerServer).AddOrUpdateHost(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.HostManager/AddOrUpdateHost",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(HostManagerServer).AddOrUpdateHost(ctx, req.(*HostInfo))
	}
	return interceptor(ctx, in, info, handler)
}

func _HostManager_DelHost_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HostInfo)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(HostManagerServer).DelHost(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.HostManager/DelHost",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(HostManagerServer).DelHost(ctx, req.(*HostInfo))
	}
	return interceptor(ctx, in, info, handler)
}

var _HostManager_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.HostManager",
	HandlerType: (*HostManagerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetAllHosts",
			Handler:    _HostManager_GetAllHosts_Handler,
		},
		{
			MethodName: "AddOrUpdateHost",
			Handler:    _HostManager_AddOrUpdateHost_Handler,
		},
		{
			MethodName: "DelHost",
			Handler:    _HostManager_DelHost_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "hostManager.proto",
}
